html,
body,
div
 {
	margin: 0;
	padding: 0;
	border: 0;
	font-size: 100%;
	font: inherit;
	vertical-align: baseline;
}

body {
	line-height: 1;
}

table {
	border-collapse: collapse;
	border-spacing: 0;
}


/*My styles*/

html,
body {
	margin: 0;
	padding: 0;
	font-family: sans-serif;
}

body {
	position: relative;
}

.visible {
	display: block;
}

.hidden {
	display: none;
}

#message {
	background: #fff;
	border-radius: 20px;
	border: 1px solid black;
	width: 300px;
	height: auto;
	position: absolute;
	margin-left: auto;
	margin-right: auto;
	left: 0;
	right: 0;
	top: 40%;
	transform: translateY(40%);
	text-align: center;
	padding: 60px 20px;
	box-sizing: border-box;
	color: red;
}

#container {
	font-size: 0;
	margin: 0 auto;
	width: 500px;
	padding-top: 100px;
	box-sizing: border-box;
}

.block {
	font-size: 0px;
	border: 1px solid #fff;
	box-sizing: border-box;
	width: 50px;
	height: 50px;
	background: #007fff;
	display: inline-block;
}

.active {
	background: yellow;
}

.hit {
	background: green;
}

.miss {
	background: red;
}

#controls span,
#score div {
	display: inline-block;
}

.button {
	width: 200px;
	height: 30px;
	background: #000;
	text-align: center;
	padding: 20px 0;
	color: #fff;
	font-size: 20px;
	line-height: 30px;
	text-transform: uppercase;
	cursor: pointer;
	user-select: none;
	margin: 10px auto;
}

#controls {
	margin: 15px auto;
	width: 50%;
	text-align: center;
}
